org.eclipse.wst.jsdt.chromium.debug.ui.propertypages

## Class FileEditorInputPropertyTester

- java.lang.Object
- - PropertyTester
  - - org.eclipse.wst.jsdt.chromium.debug.core.FilePropertyTester
    - - org.eclipse.wst.jsdt.chromium.debug.ui.propertypages.FileEditorInputPropertyTester

    public class FileEditorInputPropertyTester
    extends FilePropertyTester

Implementation of additional properties for `IFileEditorInput` that holds JavaScript sources.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.FilePropertyTester

`FilePropertyTester.ForFile`

### Constructor Summary

Constructors
Constructor and Description
`FileEditorInputPropertyTester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IFile` `extractFile(java.lang.Object receiver)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.FilePropertyTester

`test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileEditorInputPropertyTester

    public FileEditorInputPropertyTester()

### Method Detail

#### extractFile

    protected IFile extractFile(java.lang.Object receiver)

Specified by:
  `extractFile` in class `FilePropertyTester`